<?php
require_once(Yii::getPathOfAlias('webroot.protected.views.doc.lang') . '/th.php');
$permisCategory = Person::model()->getPermis(1);
$permisFile = Person::model()->getPermis(5);
$this->pageTitle = Yii::app()->name; // . $grids['navigation'];
?>

<div class="box box-success">
    <input type="hidden" id="parent_id" value="<?php echo $grids['parent_id']; ?>"/>

    <div class="box-header with-border">
        <div class="box-title"><?php echo $grids['navigation']; ?></div>
        <?php if ($permisCategory->ck_save == '1' || $permisFile->ck_save == '1'): ?>
            <div class="pull-right">
                <div class="btn-group">
                    <button data-toggle="dropdown" class="btn btn-default dropdown-toggle" type="button" aria-expanded="false">สร้างใหม่ <span class="fa fa-caret-down"></span></button>
                    <ul class="dropdown-menu pull-right">
                        <?php if ($permisCategory->ck_save == '1'): ?>
                            <li><a href="javascript:void(0);" onclick="create();"><i class='fa fa-folder color-gray'></i>ตู้เอกสาร</a></li>
                        <?php endif; ?>

                        <?php if ($permisCategory->ck_save == '1' && $permisFile->ck_save == '1'): ?>
                            <li class="divider"></li>
                        <?php endif; ?>

                        <?php if ($permisFile->ck_save == '1'): ?>
                            <li><a href="<?php echo Yii::app()->createUrl('/doc/create', array('cate_id' => $grids['parent_id'])); ?>"><i class='fa fa-file color-gray'></i>แฟ้ม</a></li>
                        <?php endif; ?>
                    </ul>
                </div>
            </div><!-- /.box-tools -->
        <?php endif; ?>
    </div><!-- /.box-header -->

    <div class='box-body'>
        <div class='table-responsive'>
            <table class='table table-bordered table-striped table-hover th-bg' id="mytable">
                <thead>
                    <tr>
                        <th>ชื่อ</th>
                        <th width="100" class='text-center'></th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                    $models = $grids['models'];
                    $irow = 0;
                    foreach ($models as $r) {
                        if ($r['ctype'] == '0') {   //แบบ folder
                            $irow++;
                            $countDoc = number_format(Category::model()->countDoc($r['rowid']));
                            //
                            echo '<tr>';
                            echo '<td class="link-black" style="font-size:14px"><a href="javascript:void(0);" onclick="return selectFolder(\'' . $r['rowid'] . '\')">' . $r['name'] . "&nbsp;&nbsp;<strong class='text-muted'>($countDoc)</strong></a></td>";
                            echo '<td class="text-center nowrap">';
                            //echo '<a href="#" onclick="return selectFolder(\'' . $r['rowid'] . '\')" class="btn btn-xs btn-info"><i class="fa fa-folder-open-o"></i> เปิด</a>&nbsp;';

                            if ($permisCategory->ck_save == '1') {
                                echo '<a href="#" onclick="return update(\'' . $r['rowid'] . '\')" class="btn btn-xs btn-default"><i class="fa fa-pencil"></i> แก้ไข</a>&nbsp;';
                            }
                            if ($permisCategory->ck_del == '1') {
                                echo '<a href="#" onclick="return del(\'' . $r['rowid'] . '\')" class="btn btn-xs btn-danger"><i class="fa fa-trash-o"></i> ลบ</a>';
                            }
                            echo '</td>';
                            echo '</tr>';
                        } else {
                            //แบบ file
                            //ตรวจสอบการเข้าถึงแฟ้ม
                            if (Doc::model()->getSharePermission($r['rowid'])) {
                                $irow++;
                                $ret = ($r['person_id'] == Yii::app()->user->id) ? TRUE : FALSE;

                                $rName = '<i class="fa fa-lg fa-file color-orange padding-right-10"></i><span class="text-muted padding-right-5">' . MyDate::dateToText($r['docdate']) . "</span> " . $r['name'];
                                $rName .= '<div class="text-muted margin-left-25 margin-top-5">' . $lang['Doc_docno'] . ": " . $r['docno'] . ',&nbsp;&nbsp;' . $lang['Doc_tabiancode'] . ': ' . $r['tabiancode'] . '&nbsp;&nbsp;' . $lang['Doc_tabiandate'] . ': ' . MyDate::dateToText($r['tabiandate']) . '</div>';

                                echo '<tr>';
                                echo '<td class="link-black">' . CHtml::link($rName, array("doc/detail", "id" => $r['rowid'])) . '</td>';
                                echo '<td class="text-center nowrap">';
                                //echo CHtml::link('<i class="fa fa-folder-open-o"></i> เปิด', array("doc/detail", "id" => $r['rowid']), array('class' => 'btn btn-xs btn-info')) . "&nbsp;";

                                if ($r['person_id'] == Yii::app()->user->id) {  //แก้ไข ลบ ได้เฉพาะเอกสารที่ตัวเองสร้างเท่านั้น
                                    if ($permisFile->ck_save == '1' || $ret) {
                                        echo CHtml::link('<i class="fa fa-pencil"></i> แก้ไข', array("doc/update", "id" => $r['rowid']), array('class' => 'btn btn-xs btn-default')) . "&nbsp;";
                                    }

                                    if ($permisFile->ck_del == '1' || $ret) {
                                        echo '<a href="#" onclick="return delDoc(\'' . $r['rowid'] . '\')" class="btn btn-xs btn-danger"><i class="fa fa-trash-o"></i> ลบ</a>';
                                    }
                                }
                                echo '</td>';
                                echo '</tr>';
                            }
                        }
                    }
                    if ($irow == 0) {
                        echo "<tr><td colspan='2' class='text-center'><div style='padding:20px' class='color-gray'><i class='fa fa-archive fa-5x'></i><h3>สร้างตู้เอกสารหรือแฟ้มใหม่ โดยคลิกปุ่ม <b><u>สร้างใหม่</u></b> ด้านบนตามสิทธิ์</h3></div></td></tr>";
                    }
                    ?>
                </tbody>
            </table>
        </div>
    </div>  <!-- end box-body -->


</div>

<!-- Modal -->
<div class="modal fade colored-header" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" data-backdrop="true">
</div>
<script type='text/javascript'>
    $(function () {
        $(".pagination").on("click", 'a', function (event) {
            event.preventDefault();
            var url = $(this).attr("href");
            if (url != undefined) {
                loadContent(url);
            }
            return true;
        });
        $('.modal').on('shown.bs.modal', function () {
            $(this).find("[autofocus]:first").focus();
        });
    });

    function loadContent(url) {
        url = typeof url !== 'undefined' ? url : "<?php echo Yii::app()->createUrl('category/ajaxList') ?>";
        var p = {};
        p['id'] = $('#parent_id').val();
        $('#contentCol').load(url, p);
        return true;
    }

    function create() {
        var p = {};
        p['parent_id'] = $('#parent_id').val();
        $('#myModal').load("<?php echo Yii::app()->createUrl('category/ajaxCreate') ?>", p, function () {
            $('#myModal').modal('show');
        });
        return true;
    }

    function update(id) {
        var p = {};
        p['id'] = id;
        $('#myModal').load("<?php echo Yii::app()->createUrl('category/ajaxUpdate') ?>", p, function () {
            $('#myModal').modal('show');
        });
        return true;
    }

    function save() {
        var p = {};
        p['save'] = true;
        p['id'] = $('#id').val();
        p['name'] = $('#Category_name').val();
        p['parent_id'] = $('#parent_id').val();
        p['prefix'] = $('#Category_prefix').val();
        p['yearmonth'] = $('#Category_yearmonth').val();
        p['numlimit'] = $('#Category_numlimit').val();

        $.ajax({
            data: p,
            url: "<?php echo Yii::app()->createUrl('category/ajaxUpdate') ?>",
            type: 'POST',
            dataType: 'json',
            success: function (data) {
                if (data.msg == 1) {
                    $('#alert_frm').text(data.msgText).show();
                } else {
                    $('#myModal').modal('hide');
                    $('#myModal').on('hidden.bs.modal', function () {
                        loadSideLeft();
                        loadContent();
                    });
                }
            },
            error: function () {
                BootstrapDialog.show({
                    type: BootstrapDialog.TYPE_DANGER,
                    title: 'ผิดพลาด',
                    message: 'ไม่สามารถทำรายการได้ กรุณาลองใหม่อีกครั้ง',
                    buttons: [{
                            label: 'ตกลง',
                            action: function (dialogRef) {
                                dialogRef.close();
                            }
                        }]
                });
            }
        });
        return true;
    }

    function del(id) {
        BootstrapDialog.show({
            type: BootstrapDialog.TYPE_WARNING,
            title: 'ลบข้อมูล',
            message: 'คุณต้องการลบตู้เอกสารนี้ใช่หรือไม่',
            buttons: [{
                    label: 'ไม่',
                    cssClass: 'btn-default',
                    action: function (dialog) {
                        dialog.close();
                    }
                }, {
                    label: 'ใช่,ลบทันที',
                    cssClass: 'btn-danger',
                    action: function (dialog) {
                        dialog.close();

                        var p = {};
                        p['id'] = id;
                        $.ajax({
                            data: p,
                            url: "<?php echo Yii::app()->createUrl('category/ajaxDelete') ?>",
                            type: 'POST',
                            dataType: 'json',
                            success: function (data) {
                                if (data.msgText != '') {
                                    BootstrapDialog.show({
                                        type: BootstrapDialog.TYPE_WARNING,
                                        title: 'แจ้ง!!',
                                        message: data.msgText,
                                        buttons: [{
                                                label: 'ตกลง',
                                                action: function (dialogRef) {
                                                    dialogRef.close();
                                                }
                                            }]
                                    });
                                } else {
                                    loadContent();
                                }
                            },
                            error: function () {
                                BootstrapDialog.show({
                                    type: BootstrapDialog.TYPE_DANGER,
                                    title: 'ผิดพลาด',
                                    message: 'ไม่สามารถทำรายการได้ กรุณาลองใหม่อีกครั้ง',
                                    buttons: [{
                                            label: 'ตกลง',
                                            action: function (dialogRef) {
                                                dialogRef.close();
                                            }
                                        }]
                                });
                            }
                        });
                    }
                }]
        });

        return true;
    }

    //ลบแฟ้มเอกสาร
    function delDoc(id) {
        BootstrapDialog.show({
            type: BootstrapDialog.TYPE_WARNING,
            title: 'ลบข้อมูล',
            message: 'คุณต้องการลบไฟล์นี้ใช่หรือไม่',
            buttons: [{
                    label: 'ไม่',
                    cssClass: 'btn-default',
                    action: function (dialog) {
                        dialog.close();
                    }
                }, {
                    label: 'ใช่,ลบทันที',
                    cssClass: 'btn-danger',
                    action: function (dialog) {
                        dialog.close();

                        var p = {};
                        p['id'] = id;
                        $.ajax({
                            data: p,
                            url: "<?php echo Yii::app()->createUrl('doc/ajaxDelete') ?>",
                            type: 'POST',
                            dataType: 'json',
                            success: function () {
                                loadContent();
                            },
                            error: function () {
                                wrapDialog('Error: ไม่สามารถทำรายการได้ กรุณาลองใหม่อีกครั้ง', 'danger');
                            }
                        });
                    }
                }]
        });

        return true;
    }

</script>