<?php $baseUrl = Yii::app()->request->baseUrl; ?>

<!-- Logo -->
<a href="<?php echo Yii::app()->request->baseUrl;?>" class="logo">
    <!-- mini logo for sidebar mini 50x50 pixels -->
    <span class="logo-mini"><b>D</b>oc</span>
    <!-- logo for regular state and mobile devices -->
    <span class="logo-lg"><b>Doc</b>SYS</span>
</a>
<nav class="navbar navbar-static-top" role="navigation">
    <!-- Sidebar toggle button-->
    <a href="#" class="sidebar-toggle" data-toggle="offcanvas" role="button">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
    </a>

    <div class="collapse navbar-collapse pull-left" id="navbar-collapse">
        <form class="navbar-form navbar-left" role="search">
            <div class="btn-group">
                <div class="form-group">
                    <input type="text" class="form-control dropdown-toggle" data-toggle="dropdown" id="navbar-search-input" placeholder="ค้นหา แฟ้ม" value='<?php echo Yii::app()->session['txtNavbarSearch']; ?>'>
                    <ul class="dropdown-menu dropdown-search">
                        <li><a href="<?php echo Yii::app()->createUrl('/search'); ?>">แสดงผลค้นหาก่อนหน้า</a></li>
                    </ul>
                </div>
            </div>
        </form>                          
    </div><!-- /.navbar-collapse -->

    <!-- Navbar Right Menu -->
    <div class="navbar-custom-menu">
        <ul class="nav navbar-nav">
            <li class="dropdown messages-menu">
                <a href="<?php echo Yii::app()->request->baseUrl; ?>" class="top-menu-icon-big"><i class="fa fa-home"></i></a>
            </li>

            <li class="dropdown messages-menu">
                <!-- Menu toggle button -->
                <a href="#" class="dropdown-toggle top-menu-icon-big" data-toggle="dropdown">
                    <i class="fa fa-cog"></i>
                </a>
                <ul class="dropdown-menu" style="width: 200px">
                    <li style="font-size: 8px">&nbsp;</li>
                    <li>
                        <ul class="menu">
                            <li><a href="<?php echo Yii::app()->createUrl('/category'); ?>"><h4 class="margin-left-5">ตู้เอกสาร</h4></a></li>

                            <?php $permis = Person::model()->getPermis(2); ?>
                            <?php if ($permis->ck_view == '1'): ?>
                                <li><a href="<?php echo Yii::app()->createUrl('/depart'); ?>"><h4 class="margin-left-5">ข้อมูลแผนก</h4></a></li>
                            <?php endif; ?>

                            <?php $permis = Person::model()->getPermis(3); ?>
                            <?php if ($permis->ck_view == '1'): ?>
                                <li><a href="<?php echo Yii::app()->createUrl('/group'); ?>"><h4 class="margin-left-5">กลุ่มผู้ใช้งาน</h4></a></li>
                            <?php endif; ?>

                            <?php $permis = Person::model()->getPermis(4); ?>
                            <?php if ($permis->ck_view == '1'): ?>
                                <li><a href="<?php echo Yii::app()->createUrl('/person'); ?>"><h4 class="margin-left-5">ข้อมูลผู้ใช้งาน</h4></a></li>
                            <?php endif; ?>

                            <?php $permis = Person::model()->getPermis(6); ?>
                            <?php if ($permis->ck_view == '1'): ?>
                                <li><a href="<?php echo Yii::app()->createUrl('/updates'); ?>"><h4 class="margin-left-5">ตั้งค่าระบบ</h4></a></li>
                            <?php endif; ?>
                        </ul>
                    </li>
                </ul>
            </li>

            <!-- User Account Menu -->
            <li class="dropdown user user-menu">
                <!-- Menu Toggle Button -->
                <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                    <!-- The user image in the navbar-->
                    <img src="<?php echo $baseUrl; ?>/dist/img/user.jpg" class="user-image" alt="User Image"/>
                    <!-- hidden-xs hides the username on small devices so only the image appears. -->
                    <span class="hidden-xs"><?php echo Yii::app()->user->name; ?></span>
                </a>
                <ul class="dropdown-menu">
                    <!-- The user image in the menu -->
                    <li class="user-header">
                        <img src="<?php echo $baseUrl; ?>/dist/img/user.jpg" class="img-circle" alt="User Image" />
                        <p>
                            <?php echo Yii::app()->user->getState('fullname'); ?>
                            <small><?php echo Yii::app()->user->getState('group_name'); ?></small>
                        </p>
                    </li>

                    <!-- Menu Footer-->
                    <li class="user-footer">
                        <div class="pull-left">
                            <a href="<?php echo Yii::app()->createurl('/profile/update');?>" class="btn btn-default btn-flat">ข้อมูลส่วนตัว</a>
                        </div>
                        <div class="pull-right">
                            <a href="<?php echo Yii::app()->createUrl('/site/logout'); ?>" class="btn btn-default btn-flat">ออกจากระบบ</a>
                        </div>
                    </li>
                </ul>
            </li>
        </ul>
    </div><!-- /.navbar-custom-menu -->
</nav>