<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <meta content='width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no' name='viewport'>
        <?php $baseUrl = Yii::app()->request->baseUrl; ?>

        <!-- Bootstrap 3.3.4 -->
        <link href="<?php echo $baseUrl; ?>/dist/css/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
        <!-- Font Awesome Icons -->
        <link href="<?php echo $baseUrl; ?>/dist/css/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css" />

        <!-- Theme style -->
        <link href="<?php echo $baseUrl; ?>/dist/css/default.min.css" rel="stylesheet" type="text/css" />
        <link href="<?php echo $baseUrl; ?>/dist/css/skin-green-light.min.css" rel="stylesheet" type="text/css" />

        <link href="<?php echo $baseUrl; ?>/dist/js/treeview/jquery.treeview.css" rel="stylesheet"/>
        <link href="<?php echo $baseUrl; ?>/dist/js/bootstrap-dialog/bootstrap-dialog.css" rel="stylesheet" type="text/css" />

        <link href="<?php echo $baseUrl; ?>/dist/css/global.css" rel="stylesheet" type="text/css" />

        <!-- jQuery 2.1.4 -->
        <script src="<?php echo $baseUrl; ?>/dist/js/jquery-2.1.4.min.js"></script>
        <script src="<?php echo $baseUrl; ?>/dist/js/jquery-migrate.min.js"></script>
        <title><?php echo CHtml::encode($this->pageTitle); ?></title>
    </head>

    <body class="skin-green-light fixed">
        <div class="wrapper">

            <header class="main-header">               
                <?php $this->renderPartial('//layouts/header'); ?>
            </header>

            <aside class="main-sidebar">

            </aside>

            <!-- Content Wrapper. Contains page content -->
            <div class="content-wrapper">

                <?php
                if (Yii::app()->user->id == '999999999') {
                    echo '<div class="alert alert-warning no-margin-bottom">คุณได้เข้าสู่ระบบด้วย Username พิเศษ!! เพื่อกำหนดค่าเริ่มต้นของระบบเท่านั้น <b>ไม่ควรใข้สร้างแฟ้มเอกสาร!!</b></div>';
                }
                ?>
                <section id='contentCol' class="content">
                    <?php echo $content; ?>
                </section>

                <div id="overlay" class="overlay" style="display: none">
                    <i class="fa fa-refresh fa-spin"></i>
                </div>
            </div><!-- /.content-wrapper -->

            <footer class="main-footer">
                <div class="container-fluid">
                    <div class="pull-right">
                        <b>DocSYS</b> <?php echo Yii::app()->params['version']; ?>
                    </div>
                </div><!-- /.container -->
            </footer>
        </div><!-- ./wrapper -->

        <div class="modalLoading"><!-- Place at bottom of page --></div>
        <!-- Bootstrap v3.3.4 -->
        <script src="<?php echo $baseUrl; ?>/dist/css/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
        <!-- SlimScroll -->
        <script src="<?php echo $baseUrl; ?>/dist/js/slimScroll/jquery.slimscroll.min.js" type="text/javascript"></script>
        <!-- FastClick -->
        <script src='<?php echo $baseUrl; ?>/dist/js/fastclick/fastclick.min.js'></script>

        <script src="<?php echo $baseUrl; ?>/dist/js/app.js" type="text/javascript"></script>
        <script src="<?php echo $baseUrl; ?>/dist/js/jquery.highlight-4.js" type="text/javascript"></script>
        <script src="<?php echo $baseUrl; ?>/dist/js/bootstrapvalidator/bootstrapValidator.min.js" type="text/javascript"></script>
        <script src="<?php echo $baseUrl; ?>/dist/js/bootstrap-dialog/bootstrap-dialog.js" type="text/javascript"></script>
        <script src="<?php echo $baseUrl; ?>/dist/js/app-global.js" type="text/javascript"></script>

        <script type="text/javascript" src="<?php echo $baseUrl; ?>/dist/js/treeview/jquery.cookie.js"></script>
        <script type="text/javascript" src="<?php echo $baseUrl; ?>/dist/js/treeview/jquery.treeview.min.js"></script>

        <!-- validation -->
        <script type="text/javascript" src="<?php echo $baseUrl; ?>/dist/js/jquery.validation/jquery.validate.min.js"></script>
        <script type="text/javascript" src="<?php echo $baseUrl; ?>/dist/js/jquery.validation/localization/messages_th.js"></script>

        <script type='text/javascript'>
            $(function () {
                var loading = $("#overlay");
                $(document).ajaxStart(function () {
                    loading.show();
                }).ajaxStop(function () {
                    loading.hide();
                });

                $('#navbar-search-input').keydown(function (e) {
                    if ((e.keyCode == 13)) {
                        e.preventDefault();
                        mainSearch();
                        return true;
                    }
                });

                //load treeview category
                loadSideLeft();
            });

            function loadSideLeft() {
                $('.main-sidebar').load('<?php echo Yii::app()->createUrl('category/ajaxListSideLeft') ?>');
            }

            function mainSearch() {
                var p = {};
                p['txtsearch'] = $('#navbar-search-input').val();
                $('#contentCol').load('<?php echo Yii::app()->createUrl('search/ajaxList') ?>', p);

                var pageurl = '<?php echo Yii::app()->createUrl('/search') ?>'
                if (pageurl != window.location) {
                    window.history.pushState({path: pageurl}, '', pageurl);
                }
                return true;
            }
        </script>

    </body>
</html>
